#!/bin/sh

# lorafwdctl link
LORAFWDCTL="lorafwdctl"
LORAFWDCTL_FULL="/mnt/fsuser-1/lorafwd/sbin/"${LORAFWDCTL}
ln -fs ${LORAFWDCTL_FULL} "./mnt/fsuser-1/bscc/"${LORAFWDCTL}

# Change of default configuration
BSCCCONF_FILE="./mnt/fsuser-1/bscc/var.xml"

if [ -f ${BSCCCONF_FILE} ]; then
# Change of unit since 2.3: remove bad RSSI hysteresys and threshold
  sed -i "/rssi_hysteresis/d" ${BSCCCONF_FILE}
  sed -i "/rssi_threshold/d" ${BSCCCONF_FILE}

# remove bad NTP servers
  sed -i "/ntp1/d" ${BSCCCONF_FILE}
  sed -i "/ntp2/d" ${BSCCCONF_FILE}

# remove previous rollback TMO value of 60. bscc will set new default value
  sed -i -r "/config_rollback_tmo_mn.*\"60\"/d" ${BSCCCONF_FILE}
fi

# Add symbolic link on lora libraries if not already exist
# Install libraries
install_library()
{
  local lib_so_x_y_z="${1##*/}"
  local lib_so_x_y="${lib_so_x_y_z%.*}"
  local lib_so_x="${lib_so_x_y%.*}"
  local lib_so="${lib_so_x%.*}"

  [ ! -f ${lib_so_x_y_z} ] && ln -fs "${lib_so_x_y_z}" "./mnt/fsuser-1/lora/usr/lib/${lib_so_x}"
  [ ! -f ${lib_so_x} ] && ln -fs "${lib_so_x}" "./mnt/fsuser-1/lora/usr/lib/${lib_so}"
}

install_library libprotobuf-c.so.1.0.0
install_library libstdc++.so.6.0.21
install_library libzmq.so.5.1.5

sync
